package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "SEBLLINK"
)
public class SEBLLINK {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "PARENTBC",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String parentbc;
   @XmlAttribute(
      name = "CHILDBC",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String childbc;
   @XmlAttribute(
      name = "DESTBCBASETABLE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String destbcbasetable;
   @XmlAttribute(
      name = "SRCCOL",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String srccol;
   @XmlAttribute(
      name = "DESTCOL",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String destcol;
   @XmlAttribute(
      name = "INTERCHILDCOL",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String interchildcol;
   @XmlAttribute(
      name = "INTERPARENTCOL",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String interparentcol;
   @XmlAttribute(
      name = "INTERTABLE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String intertable;
   @XmlAttribute(
      name = "PRIMARYID"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String primaryid;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getPARENTBC() {
      return this.parentbc;
   }

   public void setPARENTBC(String value) {
      this.parentbc = value;
   }

   public String getCHILDBC() {
      return this.childbc;
   }

   public void setCHILDBC(String value) {
      this.childbc = value;
   }

   public String getDESTBCBASETABLE() {
      return this.destbcbasetable;
   }

   public void setDESTBCBASETABLE(String value) {
      this.destbcbasetable = value;
   }

   public String getSRCCOL() {
      return this.srccol;
   }

   public void setSRCCOL(String value) {
      this.srccol = value;
   }

   public String getDESTCOL() {
      return this.destcol;
   }

   public void setDESTCOL(String value) {
      this.destcol = value;
   }

   public String getINTERCHILDCOL() {
      return this.interchildcol;
   }

   public void setINTERCHILDCOL(String value) {
      this.interchildcol = value;
   }

   public String getINTERPARENTCOL() {
      return this.interparentcol;
   }

   public void setINTERPARENTCOL(String value) {
      this.interparentcol = value;
   }

   public String getINTERTABLE() {
      return this.intertable;
   }

   public void setINTERTABLE(String value) {
      this.intertable = value;
   }

   public String getPRIMARYID() {
      return this.primaryid;
   }

   public void setPRIMARYID(String value) {
      this.primaryid = value;
   }
}
